> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Workspace

> Updates the [workspace](https://docs.seam.co/core-concepts/workspaces) associated with the authentication value.



## OpenAPI

````yaml /openapi.json post /workspaces/update
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /workspaces/update:
    post:
      tags:
        - /workspaces
      summary: Update a Workspace
      description: >-
        Updates the [workspace](https://docs.seam.co/core-concepts/workspaces)
        associated with the authentication value.
      operationId: workspacesUpdatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                connect_partner_name:
                  description: Connect partner name for the workspace.
                  type: string
                connect_webview_customization:
                  description: >-
                    [Connect
                    Webview](https://docs.seam.co/core-concepts/connect-webviews)
                    customizations for the workspace. See also [Customize the
                    Look and Feel of Your Connect
                    Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).
                  properties:
                    logo_shape:
                      description: >-
                        Logo shape for [Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews)
                        in the workspace. See also [Customize the Look and Feel
                        of Your Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).
                      enum:
                        - circle
                        - square
                      nullable: true
                      type: string
                    primary_button_color:
                      description: >-
                        Primary button color for [Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews)
                        in the workspace. See also [Customize the Look and Feel
                        of Your Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).
                      nullable: true
                      type: string
                    primary_button_text_color:
                      description: >-
                        Primary button text color for [Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews)
                        in the workspace. See also [Customize the Look and Feel
                        of Your Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).
                      nullable: true
                      type: string
                    success_message:
                      description: >-
                        Success message for [Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews)
                        in the workspace. See also [Customize the Look and Feel
                        of Your Connect
                        Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-look-and-feel-of-your-connect-webviews).
                      nullable: true
                      type: string
                  type: object
                is_publishable_key_auth_enabled:
                  description: >-
                    Indicates whether publishable key authentication is enabled
                    for this workspace.
                  type: boolean
                is_suspended:
                  description: Indicates whether the workspace is suspended.
                  type: boolean
                name:
                  description: Name of the workspace.
                  type: string
              type: object
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - console_session_with_workspace: []
        - pat_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.workspaces.update({
              name: "My Workspace",
              connect_partner_name: "Acme",
              connect_webview_customization: {
                inviter_logo_url:
                  "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
                logo_shape: "circle",
                primary_button_color: "#232426",
                primary_button_text_color: "#FFFDE7",
                success_message: "Your account has been successfully connected to Acme!",
              },
              is_suspended: true,
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/workspaces/update" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "name": "My Workspace",
              "connect_partner_name": "Acme",
              "connect_webview_customization": {
                "inviter_logo_url": "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
                "logo_shape": "circle",
                "primary_button_color": "#232426",
                "primary_button_text_color": "#FFFDE7",
                "success_message": "Your account has been successfully connected to Acme!"
              },
              "is_suspended": true
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.workspaces.update(
                name="My Workspace",
                connect_partner_name="Acme",
                connect_webview_customization={
                    "inviter_logo_url": "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
                    "logo_shape": "circle",
                    "primary_button_color": "#232426",
                    "primary_button_text_color": "#FFFDE7",
                    "success_message": "Your account has been successfully connected to Acme!",
                },
                is_suspended=true,
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.workspaces.update(
              name: "My Workspace",
              connect_partner_name: "Acme",
              connect_webview_customization: {
                inviter_logo_url:
                  "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
                logo_shape: "circle",
                primary_button_color: "#232426",
                primary_button_text_color: "#FFFDE7",
                success_message: "Your account has been successfully connected to Acme!",
              },
              is_suspended: true,
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->workspaces->update(
                name: "My Workspace",
                connect_partner_name: "Acme",
                connect_webview_customization: [
                    "inviter_logo_url" =>
                        "https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c",
                    "logo_shape" => "circle",
                    "primary_button_color" => "#232426",
                    "primary_button_text_color" => "#FFFDE7",
                    "success_message" =>
                        "Your account has been successfully connected to Acme!",
                ],
                is_suspended: true,
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam workspaces update --name "My Workspace" --connect_partner_name
            "Acme" --connect_webview_customization
            {"inviter_logo_url":"https://connect.getseam.com/internal/images/view?image_id=1de135fa-f0c2-4e57-90d0-6b9a7d090a0c","logo_shape":"circle","primary_button_color":"#232426","primary_button_text_color":"#FFFDE7","success_message":"Your
            account has been successfully connected to Acme!"} --is_suspended
            true


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http

````